# https server
server {
	listen 443 ssl;
	server_name localhost;
    ssl_certificate      ssl.cert;
    ssl_certificate_key  ssl.key;

    ## Parameterization using hostname of access and log filenames.
    access_log logs/localhost_access.log;
    error_log logs/localhost_error.log;

    ## Root and index files.
    root www;
    index  index.php index.html index.htm;

	 ## redirect server error pages to the static page /404.html
	 error_page  404   https://localhost/error/404.html;

	
    location / {
        ## Regular PHP processing.
        location ~ \.php$ {
			try_files  $uri =404;
            fastcgi_pass   127.0.0.1:9000;
            fastcgi_index  index.php;
			include        fastcgi_params;
			fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        }
	}
	
    ## If no favicon exists return a 204 (no content error).
    location = /favicon.ico {
        try_files $uri =204;
        log_not_found off;
        access_log off;
    }
		
    ## Don't log robots.txt requests.
    location = /robots.txt {
        allow all;
        log_not_found off;
        access_log off;
    }
	
} # end https server